$(document).ready(function() {

  initTooltips();
  initServiceId();

  // Fill form
  $('#scripterEnabled').val(serviceArrTmp[activeItem].enabled ? "Yes" : "No");
  //$('#sportzcastUrl').val(serviceArrTmp[activeItem].xml_url);

  // Callbacks for changes
  $('.form-control').change(formChangedCallback);

  showImageFromCamera('imagePreviewCamera');
  //formChangedCallback();
  createScheduleBtn();
});

function formChangedCallback() {
  serviceArrTmp[activeItem].enabled = $('#scripterEnabled').val() == 'Yes' ? 1 : 0;

  if (!isMips()) {
    if(enabledServicesCount() > 8 || enabledServicesPerVideoChannel(serviceArrTmp[activeItem].camera) > 4) {
      serviceArrTmp[activeItem].enabled = 0;
      $('#scripterEnabled').val('No');
      showMessage('warning', 'A maximum of four services can be enabled simultaneously in one Video Channel and eight services can run in total.', false, 'maxFourServices');
    }
  } else {
    if(enabledServicesCount() > 2) {
      serviceArrTmp[activeItem].enabled = 0;
      $('#scripterEnabled').val('No');
      showMessage('warning', 'Maximally two services can be enabled simultaneously.', false, 'maxTwoServices');
    }
  }

  //serviceArrTmp[activeItem].xml_url = $('#sportzcastUrl').val();

  showSaveWarning();
  createServiceList(serviceArrTmp);
}