#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirext ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/camoverlay_install.log 2>&1

if [ -z "$1" ] || [ "$1" != "fromacap" ]; then
  killall -9 camoverlay
fi

# chmod
chmod 750 /usr/local/packages/camoverlay/camoverlay
chmod 750 /usr/local/packages/camoverlay/tools/enable_cgi.sh

# enable_cgi for apache
/usr/local/packages/camoverlay/tools/enable_cgi.sh

eval $(grep VERSION /usr/local/packages/camoverlay/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set camoverlay.Version "$VERSION"

eval $(cat /usr/local/packages/camoverlay/version_info.txt)
VERSION_HASH="$BRANCH|$COMMIT_SHA|$TIMESTAMP"
parhandclient set camoverlay.VersionHash "$VERSION_HASH"

VERSION_REDIRECT="$APPMAJORVERSION-$APPMINORVERSION-$APPMICROVERSION"
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/camoverlay/html/settings.html
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/camoverlay/html/shared/installApp.html